# mongoc_database_command_simple()

## Synopsis

    bool
    mongoc_database_command_simple (mongoc_database_t         *database,
                                    const bson_t              *command,
                                    const mongoc_read_prefs_t *read_prefs,
                                    bson_t                    *reply,
                                    bson_error_t              *error);

## Parameters

database | A mongoc_database_t.
command | A bson_t containing the command.
read_prefs | An optional mongoc_read_prefs_t.
reply | A location to store the commands first result document.
error | An optional location for a bson_error_t or NULL.

This is a simplified interface to mongoc_database_command() that returns the first result document.

This function will always initialize reply. The caller should always call bson_destroy() with reply as an argument.

## Errors

Errors are propagated through the error parameter.

## Returns

true on success, false on failure and error is set.